public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add the accounts-daemon test to upstream repo
Date: Fri, 11 Sep 2026 13:19:11 GMT [thread overview]
Message-ID: <178913275168.1.8143192577675834619.tests-selinux-71a4371e20c6@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 71a4371e20c6edfe596b3ddf43849b3587eae8d3
Author : Milos Malik <mmalik@redhat.com>
Date : 2021-05-20T10:25:08+00:00
Stats : +242/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/71a4371e20c6edfe596b3ddf43849b3587eae8d3?branch=pr775-checkpolicy-revdeps
Log:
add the accounts-daemon test to upstream repo
The accountsservice package is available in various versions of
RHEL and Fedora. The accounts-daemon service is also used in these
environments, so it makes sense to run this TC in upstream testing
too.
Moving the downstream TC to upstream repository.
There are only slight changes when comparing the upstream and
downstream version of this TC.
---
diff --git a/selinux-policy/accounts-daemon-and-similar/Makefile b/selinux-policy/accounts-daemon-and-similar/Makefile
new file mode 100644
index 0000000..1923789
--- /dev/null
+++ b/selinux-policy/accounts-daemon-and-similar/Makefile
@@ -0,0 +1,85 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/accounts-daemon-and-similar
+# Description: SELinux interferes with accounts daemon and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/accounts-daemon-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: SELinux interferes with accounts daemon and related programs" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: accountsservice" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "Requires: audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console accountsservice glib2 procps-ng realmd initscripts" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHELServer5 -RHELClient5 -RHEL6" >> $(METADATA)
+ @echo "Bug: 1456760" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1507089" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1518211" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1595667" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1792895" >> $(METADATA) # RHEL-8
+ @echo "Bug: 1806126" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1811407" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1815312" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1818696" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1819040" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1820978" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1820992" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1821156" >> $(METADATA) # RHEL-8
+ @echo "Bug: 1828809" >> $(METADATA) # RHEL-8
+ @echo "Bug: 1829013" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1829075" >> $(METADATA) # Fedora 32
+ @echo "Bug: 1829128" >> $(METADATA) # Fedora 32
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/accounts-daemon-and-similar/PURPOSE b/selinux-policy/accounts-daemon-and-similar/PURPOSE
new file mode 100644
index 0000000..24bd6f7
--- /dev/null
+++ b/selinux-policy/accounts-daemon-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/accounts-daemon-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with accounts daemon and related programs.
+
diff --git a/selinux-policy/accounts-daemon-and-similar/main.fmf b/selinux-policy/accounts-daemon-and-similar/main.fmf
new file mode 100644
index 0000000..18f5328
--- /dev/null
+++ b/selinux-policy/accounts-daemon-and-similar/main.fmf
@@ -0,0 +1,3 @@
+path: /selinux-policy/accounts-daemon-and-similar
+tier: 2
+
diff --git a/selinux-policy/accounts-daemon-and-similar/runtest.sh b/selinux-policy/accounts-daemon-and-similar/runtest.sh
new file mode 100755
index 0000000..e173541
--- /dev/null
+++ b/selinux-policy/accounts-daemon-and-similar/runtest.sh
@@ -0,0 +1,149 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/accounts-daemon-and-similar
+# Description: SELinux interferes with accounts daemon and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/libexec/accounts-daemon"
+FILE_CONTEXT="accountsd_exec_t"
+SERVICE_PACKAGE="accountsservice"
+SERVICE_NAME="accounts-daemon"
+PROCESS_NAME="accounts-daemon"
+PROCESS_CONTEXT="accountsd_t"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm ${SERVICE_PACKAGE}
+
+ rlServiceStop ${SERVICE_NAME}
+ rlFileBackup /etc/shadow
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ rlPhaseStartTest "SELinux contexts and rules"
+ if rlIsRHEL 5 ; then
+ SOURCE_TYPE="initrc_t"
+ BOOLEANS="[ ]" # a boolean name
+ elif rlIsRHEL 6 ; then
+ SOURCE_TYPE="initrc_t"
+ else # RHEL-7 etc.
+ SOURCE_TYPE="init_t" # systemd runs the process
+ fi
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute }"
+ rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition }"
+ rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT}"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1456760 + bz#1518211"
+ rlSEMatchPathCon "/usr/libexec/accounts-daemon" "accountsd_exec_t"
+ rlSEMatchPathCon "/root" "admin_home_t"
+ rlSESearchRule "dontaudit accountsd_t admin_home_t : dir { write } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1507089"
+ rlSEMatchPathCon "/usr/libexec/accounts-daemon" "accountsd_exec_t"
+ rlSESearchRule "allow accountsd_t accountsd_t : capability { dac_read_search } [ ]"
+ rlPhaseEnd
+
+ if ! rlIsRHEL 5 6 ; then
+ rlPhaseStartTest "bz#1595667"
+ rlSEMatchPathCon "/usr/sbin/useradd" "useradd_exec_t"
+ rlSESearchRule "allow accountsd_t useradd_exec_t : file { map } [ ]"
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 6 7 ; then
+ rlPhaseStartTest "bz#1792895 + bz#1821156"
+ rlSESearchRule "allow accountsd_t realmd_t : dbus { send_msg } [ ]"
+ rlSESearchRule "allow realmd_t accountsd_t : dbus { send_msg } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1828809"
+ for USER_TYPE in user_t staff_t sysadm_t xguest_t unconfined_t ; do
+ rlSESearchRule "allow ${USER_TYPE} accountsd_t : dbus { send_msg } [ ]"
+ rlSESearchRule "allow accountsd_t ${USER_TYPE} : dbus { send_msg } [ ]"
+ done
+ rlPhaseEnd
+ fi
+
+ if ! rlIsRHEL 5 ; then
+ rlPhaseStartTest "real scenario -- DBus service"
+ DESTINATION="org.freedesktop.Accounts"
+ rlRun "gdbus introspect --system --object-path / --dest ${DESTINATION} >& /dev/null"
+ sleep 1
+ rlRun "ps -efZ | grep -v grep | grep ${PROCESS_NAME}"
+ rlRun "ps -efZ | grep -v grep | grep \"${PROCESS_CONTEXT}.*${PROCESS_NAME}\""
+ rlPhaseEnd
+ fi
+
+ if rlIsFedora ; then
+ rlPhaseStartTest "bz#1806126, bz#1811407, bz#1815312, bz#1818696, bz#1819040, bz#1820978, bz#1820992, bz#1829013, bz#1829075, bz#1829128"
+ rlSEMatchPathCon "/usr/libexec/accounts-daemon" "accountsd_exec_t"
+ rlSESearchRule "dontaudit accountsd_t accountsd_t : capability { sys_nice } [ daemons_dontaudit_scheduling ]"
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartTest "real scenario"
+ rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+ if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+ if rlIsRHEL 5 6 ; then
+ PROCESS_CONTEXT="initrc_t"
+ else
+ PROCESS_CONTEXT="unconfined_service_t"
+ fi
+ fi
+ rlRun "mkdir -p /etc/gdm"
+ rlRun "restorecon -Rv /etc"
+ rlRun "service realmd start" # helps to reproduce BZ#1792895
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+ rlRun "restorecon -Rv /run /var" 0-255
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+
+ rlFileRestore
+ rlServiceRestore ${SERVICE_NAME}
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
reply other threads:[~2026-09-11 13:19 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913275168.1.8143192577675834619.tests-selinux-71a4371e20c6@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox